# Package org.apache.commons.compress.compressors

Provides a unified API and factories for dealing with compressed streams.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  CompressorStreamProvider | Creates Compressor `CompressorInputStream`s and `CompressorOutputStream`s.

- Class Summary
  Class | Description
  --- | ---
  CompressorInputStream |
  CompressorOutputStream |
  CompressorStreamFactory | Factory to create Compressor[In|Out]putStreams from names.
  FileNameUtil | File name mapping code for the compression formats.

- Exception Summary
  Exception | Description
  --- | ---
  CompressorException | Compressor related exception

## Package org.apache.commons.compress.compressors Description

Provides a unified API and factories for dealing with compressed streams.

Copyright © 2016 The Apache Software Foundation. All rights reserved.